Skip to main content
GET
/
projects
/
{id}
Get project
curl --request GET \
  --url https://api.justanotheruptime.com/projects/{id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "description": "<string>",
  "isPublic": true,
  "settings": {
    "notifications": {
      "email": true,
      "slack": true,
      "webhook": true
    },
    "statusPage": {
      "enabled": true,
      "customDomain": "<string>"
    },
    "ssl": {
      "enabled": true,
      "autoRenew": true,
      "expiryThreshold": 45.5,
      "alertThreshold": 15.5
    },
    "monitoring": {
      "regions": [
        "<string>"
      ],
      "customRegions": [
        "<string>"
      ],
      "performanceThresholds": {
        "responseTime": 101,
        "p95ResponseTime": 101,
        "p99ResponseTime": 101,
        "reliability": 95
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Project ID

Response

Project details

name
string
required

The name of the project

description
string

The description of the project

isPublic
boolean

Whether the project is public

settings
object

Project settings